/*
 * Copyright 2020 IBM Corp. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.opengroup.osdu.register.action;

import static org.junit.Assert.assertEquals;

import org.junit.After;
import org.junit.Before;
import org.opengroup.osdu.register.util.IBMTestUtils;

import com.sun.jersey.api.client.ClientResponse;

public class TestRetrieveActionApi extends RetrieveActionApiTest {

    @Before
    @Override
    public void setup() {
        this.testUtils = new IBMTestUtils();
    }

    @After
    @Override
    public void tearDown() {
        this.testUtils = null;
    }
    
	@Override
	public void should_return400_when_makingHttpRequestWithoutToken() throws Exception {
		 ClientResponse response = descriptor.run(getId(), "");
	     assertEquals(error(response.getEntity(String.class)), 401, response.getStatus());
	}  
}
